/*
 * WScout - Lightweight PCAP visualizer.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */

#ifndef WSCOUT_GUI_HEADER_FRAME_HH_
# define WSCOUT_GUI_HEADER_FRAME_HH_

# include <QtGui/QFrame>
# include <QtGui/QBoxLayout>

namespace wscout
{

  namespace gui
  {

    /**
     * Basic class to provide a frame around %protocol header widgets.
     *
     * This class setups the frame around %protocol header widgets.
     * It also installs a @c QVBoxLayout instance as layout.  Subclass
     * may add items to this layout using layout().
     *
     * @see AbstractHeader, HeaderBase
     */
    struct HeaderFrame: public QFrame
    {
      enum
      {
	header_margin	= 2 ///< Margins around headers.
      };

      /// Default Constructor.
      HeaderFrame(QWidget* parent = 0);

      /// This %protocol header widget's layout.
      QBoxLayout*	layout();
    };

  } // End of namespace gui.

} // End of namespace wscout.

# include "wscout_gui_header_frame.hxx"

#endif // ! WSCOUT_GUI_HEADER_FRAME_HH_
