/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef PHY_PHY_HH_
# define PHY_PHY_HH_

namespace phy
{

  enum
    {
      /**
       * Default precision for prism::eq_time_and_80211 and
       * rtap::eq_time_and_80211.
       *
       * 106 microseconds.  This is largest value one can afford when
       * synchronizing IEEE 802.11 traces.
       *
       * @see	prism::eq_time_and_80211, rtap::eq_time_and_80211,
       *	Yeo et al., A framework for wireless LAN monitoring and
       *	its applications.
       */
      eq_time_default_precision	= 106
    };

} // End of namespace phy.

#endif // ! PHY_PHY_HH_
