#! /usr/bin/env python

import scapy
import random
import sys

PrismHeader     = scapy.PrismHeader
Dot11           = scapy.Dot11
Dot11Beacon     = scapy.Dot11Beacon

lhs     = list ()
rhs     = list ()
inter   = list ()
union   = list ()

lhs_clock = random.randint(0, 1000000);
rhs_clock = random.randint(0, 1000000);

lhs_clock_speed = random.random();
rhs_clock_speed = random.random();


def append(f, l, t):
    f2 = f.copy()
    f2.mactime = t
    f2.hosttime = t / 10
    l.append(f2)

def gen(f):
    global rhs, lhs, inter, union, \
        lhs_clock, rhs_clock, lhs_clock_speed, rhs_clock_speed

    if random.randint(0, 1):
        append(f, rhs, rhs_clock)
        append(f, lhs, lhs_clock)
        append(f, inter, rhs_clock)
        if (f.type == 0 and f.subtype == 8):
            sys.stdout.write("%d\t%d\n" % (len(lhs), len(rhs)))
    else:
        if (random.randint(0, 1)):
            append(f, lhs, lhs_clock)
        else:
            append(f, rhs, rhs_clock)
    append(f, union, rhs_clock)
    lhs_clock = lhs_clock + lhs_clock_speed * 100
    rhs_clock = rhs_clock + rhs_clock_speed * 100

sc = 42
for i in range(100):
    gen(PrismHeader () / Dot11 (SC = sc << 4) / \
            Dot11Beacon (timestamp = i * 100))
    sc = (sc + 1) % 4096
    for j in range(random.randint(0, 10)):
        gen(PrismHeader () / Dot11 (type = 2, subtype = 4, SC = sc << 4))
        sc = (sc + 1) % 4096

scapy.wrpcap(sys.argv[1] + "-lhs.pcap",         lhs,    linktype = 119)
scapy.wrpcap(sys.argv[1] + "-rhs.pcap",         rhs,    linktype = 119)
scapy.wrpcap(sys.argv[1] + "-inter.pcap",       inter,  linktype = 119)
scapy.wrpcap(sys.argv[1] + "-union.pcap",       union,  linktype = 119)
